<?php

namespace App\Controllers;

class BaseController {
    protected function render($view, $data = [])
    {
        extract($data);
        $rutaVista = realpath(__DIR__ . "/../views/$view.php");
        

        if (!$rutaVista || !file_exists($rutaVista)) {
            die("Error: La vista '$view.php' no se encontró en la ruta esperada: $rutaVista");
        }

        ob_start();
        require_once $rutaVista;
        $content = ob_get_clean();
        require_once realpath(__DIR__ . "/../views/layout.php");
    }
}
?>
